let ws = new WebSocket('ws://' + document.location.host + '/ws');


$('#container').on('click', '.anchor', ( function (event) {
        let anchorName = $(this).attr('id').replace('_event', '');
        let data = JSON.stringify({
            'anchor': anchorName,
            'data': $('#' + anchorName).text()
        });
        console.log("Sending: " + data);
        ws.send(data);
    }));

ws.onmessage = function (messageEvent) {
    let message = JSON.parse(messageEvent.data);
    $('#' + message['anchor']).text(message['data']);
};